function [period_atET] = period_est(U, ETs, showprogress)

%
%
%   Theodore Alexandrov (autossa@gmail.com)
%   Last modified: Jun 23, 2006

if showprogress
    progressbar = waitbar(0, 'Periods for all pairs of neighbour ETs...');
end


i=1;
for ET1=ETs
    period_atET(ET1) = est_period([U(:,ET1) U(:,ET1+1)]);
    
    if showprogress
        waitbar(i/length(ETs), progressbar);
    end

    i=i+1;
end


if showprogress
    waitbar(1, progressbar);
    close(progressbar);
end